org.apache.hadoop.mapreduce.v2

## Class LogParams

- java.lang.Object
- - org.apache.hadoop.mapreduce.v2.LogParams

-     public class LogParams
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogParams(String containerIdStr, String applicationIdStr, String nodeIdStr, String owner)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getApplicationId()`
    `String` | `getContainerId()`
    `String` | `getNodeId()`
    `String` | `getOwner()`
    `void` | `setApplicationId(String applicationId)`
    `void` | `setContainerId(String containerId)`
    `void` | `setNodeId(String nodeId)`
    `String` | `setOwner(String owner)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogParams

          public LogParams(String containerIdStr,
                           String applicationIdStr,
                           String nodeIdStr,
                           String owner)

  - ### Method Detail

    - #### getContainerId

          public String getContainerId()

    - #### setContainerId

          public void setContainerId(String containerId)

    - #### getApplicationId

          public String getApplicationId()

    - #### setApplicationId

          public void setApplicationId(String applicationId)

    - #### getNodeId

          public String getNodeId()

    - #### setNodeId

          public void setNodeId(String nodeId)

    - #### getOwner

          public String getOwner()

    - #### setOwner

          public String setOwner(String owner)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.